[solved] Drone-Rancher "EOF"

Using drone-rancher on 0.5 to deploy. Build and push to registry succeeds, but drone-rancher fails immediately with:

Drone Rancher Plugin built from b4cd686
EOF

Authentication keys are in place.

Here is my .drone.yml:

pipeline:
  restore_cache:
    image: plugins/sftp-cache
    path: /var/cache/drone
    server: ${SFTP_CACHE_SERVER}
    username: ${SFTP_CACHE_USERNAME}
    password: ${SFTP_CACHE_PASSWORD}
    restore: true
    mount:
      - src/node_modules
  build:
    image: plugins/docker
    repo: de.brain.rip:5000/rapgod/server
    registry: de.brain.rip:5000
    use_cache: true
    tags:
      - latest
  rebuild_cache:
    image: plugins/sftp-cache
    path: /var/cache/drone
    server: ${SFTP_CACHE_SERVER}
    username: ${SFTP_CACHE_USERNAME}
    password: ${SFTP_CACHE_PASSWORD}
    rebuild: true
    mount:
      - src/node_modules
  deploy:
    image: plugins/drone-rancher
    url: https://88.99.137.36:8080
    service: Default/rapgod
    docker_image: de.brain.rip:5000/rapgod/server:latest
    access_key: ${RANCHER_ACCESS_KEY}
    secret_key: ${RANCHER_SECRET_KEY}
    confirm: true
  notify:
    image: plugins/slack
    channel: dev_build_status
    username: drone

plugins/drone-rancher is the drone:0.4 version of the plugin and is not compatible with drone:0.5. You can get a complete list of compatible plugins at the plugin registry website:

http://plugins.drone.io/
http://plugins.drone.io/peloton/drone-rancher/

I see!

Is this indicated anywhere? it’d be great if documentation marked incompatibilities or known deprecations.